This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 450838 - Missing casts in gfs2_edit and gfs2_fsck
Missing casts in gfs2_edit and gfs2_fsck
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: GFS (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robert Peterson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 05:49 EDT by Steve Whitehouse
Modified: 2008-06-13 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 12:49:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (5.48 KB, patch)
2008-06-11 23:33 EDT, Robert Peterson
no flags Details | Diff

  None (edit)
Description Steve Whitehouse 2008-06-11 05:49:30 EDT
Missing casts generate build warnings for gfs2_edit and gfs2_fsck:

gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -DHELPER_PROGRAM -D_FILE_OFFSET_BITS=64
-I/usr/include -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/edit/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/edit/../libgfs2
-I/usr/include -c -o hexedit.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/edit/hexedit.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/edit/hexedit.c: In function
'rgcount':
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/edit/hexedit.c:634: warning:
format '%lld' expects type 'long long int', but argument 2 has type '__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/edit/hexedit.c: In function
'get_rg_addr':
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/edit/hexedit.c:733: warning:
format '%lld' expects type 'long long int', but argument 3 has type '__be64'
gcc -o gfs2_edit gfs2hex.o savemeta.o hexedit.o  -L/usr/lib -lncurses
-L../libgfs2/ -lgfs2
make[2]: Leaving directory `/usr/src/upstream/cluster/rhcluster/obj-ia64/gfs2/edit'
make[2]: Entering directory `/usr/src/upstream/cluster/rhcluster/obj-ia64/gfs2/fsck'
make -C ../libgfs2 all
make[3]: Entering directory
`/usr/src/upstream/cluster/rhcluster/obj-ia64/gfs2/libgfs2'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory
`/usr/src/upstream/cluster/rhcluster/obj-ia64/gfs2/libgfs2'
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../libgfs2
-I/usr/include -c -o eattr.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/eattr.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../libgfs2
-I/usr/include -c -o fs_recovery.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/fs_recovery.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../libgfs2
-I/usr/include -c -o hash.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/hash.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../libgfs2
-I/usr/include -c -o initialize.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/initialize.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../libgfs2
-I/usr/include -c -o inode_hash.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/inode_hash.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../libgfs2
-I/usr/include -c -o link.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/link.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/../libgfs2
-I/usr/include -c -o lost_n_found.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/lost_n_found.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/lost_n_found.c: In
function 'add_inode_to_lf':
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/lost_n_found.c:83:
warning: format '%llu' expects type 'long long unsigned int', but argument 3 has
type '__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/lost_n_found.c:87:
warning: format '%llu' expects type 'long long unsigned int', but argument 3 has
type '__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/lost_n_found.c:91:
warning: format '%llu' expects type 'long long unsigned int', but argument 3 has
type '__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/lost_n_found.c:95:
warning: format '%llu' expects type 'long long unsigned int', but argument 3 has
type '__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/lost_n_found.c:99:
warning: format '%llu' expects type 'long long unsigned int', but argument 3 has
type '__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/lost_n_found.c:103:
warning: format '%llu' expects type 'long long unsigned int', but argument 3 has
type '__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/lost_n_found.c:107:
warning: format '%llu' expects type 'long long unsigned int', but argument 3 has
type '__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/fsck/lost_n_found.c:111:
warning: format '%llu' expects type 'long long unsigned int', but argument 3 has
type '__be64'
Comment 1 Steve Whitehouse 2008-06-11 05:50:31 EDT
... and also quota and gfs2_tool:

/upstream/cluster/rhcluster/obj-ia64/gfs2/libgfs2'
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -DHELPER_PROGRAM -D_FILE_OFFSET_BITS=64
-D_GNU_SOURCE -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/../libgfs2
-I/usr/include -c -o main.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c: In function
'print_quota':
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:249: warning:
format '%-10llu' expects type 'long long unsigned int', but argument 2 has type
'__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:249: warning:
format '%-10llu' expects type 'long long unsigned int', but argument 3 has type
'__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:249: warning:
format '%-10llu' expects type 'long long unsigned int', but argument 4 has type
'__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:254: warning:
format '%-10llu' expects type 'long long unsigned int', but argument 2 has type
'__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:254: warning:
format '%-10llu' expects type 'long long unsigned int', but argument 3 has type
'__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:254: warning:
format '%-10llu' expects type 'long long unsigned int', but argument 4 has type
'__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:259: warning:
format '%-10llu' expects type 'long long unsigned int', but argument 2 has type
'__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:259: warning:
format '%-10llu' expects type 'long long unsigned int', but argument 3 has type
'__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:259: warning:
format '%-10llu' expects type 'long long unsigned int', but argument 4 has type
'__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:266: warning:
format '%-10llu' expects type 'long long unsigned int', but argument 2 has type
'__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:266: warning:
format '%-10llu' expects type 'long long unsigned int', but argument 3 has type
'__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:266: warning:
format '%-10llu' expects type 'long long unsigned int', but argument 4 has type
'__be64'
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -DHELPER_PROGRAM -D_FILE_OFFSET_BITS=64
-D_GNU_SOURCE -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/../libgfs2
-I/usr/include -c -o names.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/names.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -DHELPER_PROGRAM -D_FILE_OFFSET_BITS=64
-D_GNU_SOURCE -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/../libgfs2
-I/usr/include -c -o check.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/check.c
gcc -o gfs2_quota main.o names.o check.o  -L../libgfs2 -lgfs2
make[2]: Leaving directory `/usr/src/upstream/cluster/rhcluster/obj-ia64/gfs2/quota'
make[2]: Entering directory `/usr/src/upstream/cluster/rhcluster/obj-ia64/gfs2/tool'
make -C ../libgfs2 all
make[3]: Entering directory
`/usr/src/upstream/cluster/rhcluster/obj-ia64/gfs2/libgfs2'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory
`/usr/src/upstream/cluster/rhcluster/obj-ia64/gfs2/libgfs2'
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64
-I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/tool/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/tool/../libgfs2
-I/usr/include -c -o df.o /usr/src/upstream/cluster/rhcluster/cluster/gfs2/tool/df.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/tool/df.c: In function 'do_df_one':
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/tool/df.c:124: warning: format
'%-15llu' expects type 'long long unsigned int', but argument 3 has type '__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/tool/df.c:124: warning: format
'%-15llu' expects type 'long long unsigned int', but argument 4 has type '__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/tool/df.c:124: warning: format
'%-15llu' expects type 'long long unsigned int', but argument 5 has type '__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/tool/df.c:131: warning: format
'%-15llu' expects type 'long long unsigned int', but argument 3 has type '__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/tool/df.c:131: warning: format
'%-15llu' expects type 'long long unsigned int', but argument 4 has type '__be64'
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/tool/df.c:131: warning: format
'%-15llu' expects type 'long long unsigned int', but argument 5 has type '__be64'
Comment 2 Robert Peterson 2008-06-11 23:33:58 EDT
Created attachment 309022 [details]
Proposed patch

Compiles with -Werror on x86_64 but I don't have an ia64.
Comment 3 Robert Peterson 2008-06-11 23:49:34 EDT
The patch has been pushed to the master and STABLE2 branches.  Can someone
please verify there aren't any more build errors on ia64 using what is
now current?
Comment 4 Fabio Massimo Di Nitto 2008-06-12 02:10:01 EDT
x86_64: OK
ia64: OK

i386: NOK
gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -mtune=generic -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"1213247212\" -DHELPER_PROGRAM -D_FILE_OFFSET_BITS=64
-D_GNU_SOURCE -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/../libgfs2
-I/usr/include -c -o main.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c: In function
‘read_quota_internal’:
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:318: warning:
format ‘%lu’ expects type ‘long unsigned int’, but argument 3 has type ‘unsigned
int’

sparc64: NOK
gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Werror -Wall
-Wformat=2 -MMD -O2 -g -I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"1213247210\" -DHELPER_PROGRAM -D_FILE_OFFSET_BITS=64
-D_GNU_SOURCE -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/../libgfs2
-I/usr/include -c -o main.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c
cc1: warnings being treated as errors
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c: In function
‘read_quota_internal’:
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:318: error: format
‘%lu’ expects type ‘long unsigned int’, but argument 3 has type ‘unsigned int’
make: *** [main.o] Error 1

parisc: NOK

gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Werror -Wall
-Wformat=2 -MMD -O2 -g -I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"1213247212\" -DHELPER_PROGRAM -D_FILE_OFFSET_BITS=64
-D_GNU_SOURCE -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/../libgfs2
-I/usr/include -c -o main.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c
cc1: warnings being treated as errors
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c: In function
‘read_quota_internal’:
/usr/src/upstream/cluster/rhcluster/cluster/gfs2/quota/main.c:318: error: format
‘%lu’ expects type ‘long unsigned int’, but argument 4 has type ‘unsigned int’
make: *** [main.o] Error 1

basically all arches generating 32bit binaries are not ok. This is the only
error/warning in quota/

Fabio
Comment 5 Robert Peterson 2008-06-12 09:35:28 EDT
I just pushed another fix for this warning.  Let me know if that's it.
Comment 6 Fabio Massimo Di Nitto 2008-06-12 09:49:21 EDT
gfs2/ builds fine all over with -Werror.

Thanks
Fabio
Comment 7 Robert Peterson 2008-06-13 12:49:56 EDT
Closing as UPSTREAM, since this is in the upstream cluster git repository.

Note You need to log in before you can comment on or make changes to this bug.